$colors:
    'blue-1',
    'blue-2',
    'green-1',
    'green-2',
    'yellow-1',
    'orange-1',
    'orange-2',
    'red-1',
    'pink-1',
    'purple-1';

.is-vertical.is-layout-flex {
    .wp-block-buttons {
        width: 100%;
    }
}

.wp-block-button {
    --wp--button--bg-color: transparent;
    --wp--button--color: var(--wp--preset--color--blue-1-a);
    --wp--button--hover-color: var(--wp--preset--color--blue-1-c);
    --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-a);
    &__link {
        min-height: 40px;
        letter-spacing: .02rem;
        line-height: 1.4;
        padding-top: 0.3rem;
        padding: var(--wp--custom--button-padding);
        border-style: solid;
        transition: all .25s ease;

        &:hover, &:focus {
            color: var(--wp--button--hover-color);
            background-color: var(--wp--button--hover-bg-color, var(--wp--button--color));
            border-color: var(--wp--button--hover-border-color, var(--wp--button--hover-bg-color));
        }

        &:before {
            @extend .icon__ !optional;
            font-size: 24px;
            float: left;
            line-height: .9;
            margin-left: 7px;
            float: right
        }

        &:not([target="_blank"]) {
            @extend .icon-right-arrow !optional;
        }

        &[target="_blank"] {
            @extend .icon-upper-right-arrow !optional;
        }
    }
    &.is-style-button-black {
        --wp--button--color: var(--wp--preset--color--black);
        --wp--button--hover-color: var(--wp--preset--color--white);
        --wp--button--hover-bg-color: var(--wp--preset--color--black);
    }
    &.is-style-button-white {
        --wp--button--color: var(--wp--preset--color--white);
        --wp--button--hover-color: var(--wp--preset--color--black);
        --wp--button--hover-bg-color: var(--wp--preset--color--white);
    }

	&.not-before {
		& .wp-block-button__link {
			&:before {
				display: none;
			}
		}
	}
}


@each $color in $colors {
    // Light / default
    .is-style-button-#{$color}-a {
        --wp--button--color: var(--wp--preset--color--#{$color}-a);
        --wp--button--hover-color: var(--wp--preset--color--#{$color}-d);
        --wp--button--hover-bg-color: var(--wp--preset--color--#{$color}-a);
    }
    // Dark backgrounds ends with "-a"
    .has-#{$color}-a-background-color {
        .wp-block-button {
            --wp--button--bg-color: transparent;
            --wp--button--color: var(--wp--preset--color--blue-1-d);
            --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
            --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
        }
        @each $colorButton in $colors {
            .is-style-button-#{$colorButton}-a {
                --wp--button--color: var(--wp--preset--color--#{$colorButton}-d);
                --wp--button--bg-color: transparent;
                --wp--button--hover-color: var(--wp--preset--color--#{$colorButton}-a);
                --wp--button--hover-bg-color: var(--wp--preset--color--#{$colorButton}-d);
            }
        }
        .is-style-button-black {
            --wp--button--color: var(--wp--preset--color--grey-300);
            --wp--button--hover-color: var(--wp--preset--color--black);
            --wp--button--hover-bg-color: var(--wp--preset--color--grey-300);
        }
        .is-style-button-white {
            --wp--button--color: var(--wp--preset--color--white);
            --wp--button--hover-color: var(--wp--preset--color--black);
            --wp--button--hover-bg-color: var(--wp--preset--color--white);
        }    
    }
}

.has-primary-background-color {
    .is-style-button-white {
        --wp--button--color: var(--wp--preset--color--white);
        --wp--button--hover-color: var(--wp--preset--color--black);
        --wp--button--hover-bg-color: var(--wp--preset--color--white);
        --wp--button--bg-color: transparent;
    }
}

.catalogue-outils-btn.is-style-button-blue-1-a {
    a:hover,
    a:focus {
        --wp--button--color: var(--wp--preset--color--blue-1-a);
        --wp--button--hover-color: var(--wp--preset--color--blue-1-d);
        --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-a);
    }
}